class Chat {
  final String userId;
  final String? text;
  final String? image;
  final DateTime time;
  final Map<String, dynamic>? resource;
  Chat(this.userId, this.text, this.image, this.time, this.resource);
  factory Chat.fromJson(Map<String, dynamic> json) {
    return Chat(json['userId'], json['text'], json['image'],
        DateTime.parse(json['time']), json['resource']);
  }
}
